{"openapi":"3.0.4","info":{"title":"Batch Delete Tasks","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/tasks/$delete":{"post":{"tags":["Tasks"],"summary":"Batch Delete Tasks","operationId":"DeleteTasks","requestBody":{"description":"Request with the task instance ids to delete.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/DeleteTasksRequest"},"example":{"taskIds":["TaskInstanceId"]}},"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/DeleteTasksRequest"},"example":{"taskIds":["TaskInstanceId"]}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/DeleteTasksRequest"},"example":{"taskIds":["TaskInstanceId"]}},"application/*+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/DeleteTasksRequest"},"example":{"taskIds":["TaskInstanceId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/DeletedEntityResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"Task not found.","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}